## openttd 1.9.3

=== debian/changelog ===
openttd (1.9.3-1build2) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:34:42 +0100

openttd (1.9.3-1build1) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Feb 2020 09:05:55 +0100

openttd (1.9.3-1) unstable; urgency=medium

  * [45f1987] New upstream release 1.9.3 (Closes: #941446)
  * [c0e1406] Bump standards version to 4.4.1 (no changes required)
  * [48c58a7] Set Rules-Requires-Root: no for building
  * [96bf28f] Remove Replaces/Breaks on openttd-dbg
  * [81b7300] Bump debhelper version to v12 (no changes required)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Tue, 15 Oct 2019 12:40:41 +0200

=== debian/control ===
Source: openttd
Section: games
Priority: optional
Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
Uploaders: Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper (>= 12), libsdl-dev, zlib1g-dev, libpng-dev,
 libfreetype6-dev, libfontconfig-dev, libicu-dev, liblzo2-dev, liblzma-dev,
 libxdg-basedir-dev, grfcodec (>= 6.0.5), dpkg-dev (>=1.16.1), openttd-opengfx
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openttd-team/openttd
Vcs-Git: https://salsa.debian.org/openttd-team/openttd.git
Homepage: http://www.openttd.org/
Rules-Requires-Root: no

Package: openttd
Architecture: any
Multi-Arch: no
Depends: ${shlibs:Depends}, ${misc:Depends}, openttd-data (= ${source:Version})
Recommends: openttd-opengfx (>= 0.5.0), openttd-openmsx, timidity
Suggests: openttd-opensfx
Description: reimplementation of Transport Tycoon Deluxe with enhancements
 OpenTTD is a reimplementation of the Microprose game "Transport
 Tycoon Deluxe" with lots of new features and enhancements.
 .
 OpenTTD is playable with the free graphics files from the openttd-opengfx
 package and optional sound files from the openttd-opensfx package (which is in
 non-free). Alternatively, OpenTTD can use the graphics files from the original
 Transport Tycoon Deluxe game (See README.Debian on how to set this up).

Package: openttd-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: openttd (<< 1.1.5-1)
Breaks: openttd (<< 1.1.5-1)
Description: common data files for the OpenTTD game
 This package contains data files like language files, scripts and some
 auxiliary graphics.  It does not include any full graphics or sound sets,
 which still need to be installed separately to play OpenTTD.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Makefile to build the openttd debian package.

# Use debhelper default for all targets (but some are overridden below).
binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep:
	dh $@

include /usr/share/dpkg/architecture.mk
# Introduced in dpkg 1.19.0
-include /usr/share/dpkg/buildtools.mk

# Set by buildtools.mk to support cross-compilation, but provide a
# default for older dpkg versions
PKG_CONFIG ?= pkg-config

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# This prevents linking uselessly to libicudata and silences a warning
# in the build process.
DEB_LDFLAGS_MAINT_APPEND="-Wl,-as-needed"

# Enable all hardening options (since openttd offers a network-listening
# service that handles untrusted data).
DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Load buildflags (this uses dpkg-buildflags). Note that we don't export
# them, but instead pass them to ./configure explicitly.
include /usr/share/dpkg/buildflags.mk

# Pass custom options to configure. Since it's not autoconf but a custom
# script, some of the option names are slightly different. We also need
# to be explicit about the dependencies, in case we're not running in a
# clean build root.
override_dh_auto_configure:
	./configure $(CROSS) --prefix-dir=/usr --install-dir=debian/tmp --menu-group="Game;StrategyGame;" \
	--without-allegro --with-zlib --with-sdl --with-png --with-freetype --with-fontconfig \
	--with-icu-sort --without-icu-layout --with-liblzo2 --with-liblzma --without-iconv --with-xdg-basedir \
	--disable-strip --pkg-config=$(PKG_CONFIG) \
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
	CXXFLAGS="$(CXXFLAGS) $(CPPFLAGS)" \
	LDFLAGS="$(LDFLAGS)" \
	CFLAGS_BUILD="$(CFLAGS) $(CPPFLAGS)" \
	CXXFLAGS_BUILD="$(CXXFLAGS) $(CPPFLAGS)" \
	LDFLAGS_BUILD="$(LDFLAGS)"

# Do some extra installation
override_dh_auto_install:
	$(MAKE) install DO_NOT_INSTALL_CHANGELOG=1 DO_NOT_INSTALL_LICENSE=1

GRF=bin/baseset/openttd.grf
GRF_BACKUP=debian/openttd.grf

override_dh_auto_build:
	# Remove the prebuilt grf file, to force a rebuild from source
	# (but do keep a backup, so the clean rule can restore it as
	# required by the policy).
	[ -f "$(GRF_BACKUP)" ] || mv "$(GRF)" "$(GRF_BACKUP)"

	# Use dh_auto_build so it handles parallel building
	# automatically.
ifneq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
	dh_auto_build
else
	dh_auto_build -- VERBOSE=1
endif

override_dh_auto_clean:
	dh_auto_clean

	[ ! -f "$(GRF_BACKUP)" ] || mv "$(GRF_BACKUP)" "$(GRF)"

# dh_strip automatically generates a -dbgsym package by default.
override_dh_strip:
	dh_strip

=== debian/watch ===
version=3

https://www.openttd.org/downloads/openttd-releases/latest.html .*/openttd-(\d.*)-source\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## openttd 1.10.3

=== debian/changelog ===
openttd (1.10.3-1) unstable; urgency=medium

  * [ea0dcf7] New upstream release 1.10.3

 -- Matthijs Kooijman <matthijs@stdin.nl>  Wed, 12 Aug 2020 20:42:00 +0200

openttd (1.10.2-1) unstable; urgency=medium

  [ Matthijs Kooijman ]
  * [7b0ae8f] New upstream release 1.10.2

  [ Debian Janitor ]
  * [6e7a889] Use secure URI in Homepage field
  * [0b1fac7] Add upstream metadata file

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 12 Jun 2020 21:33:26 +0200

openttd (1.10.1-1) unstable; urgency=medium

  * [abf2d77] New upstream release 1.10.1
  * [0013681] Bump standards version to 4.5.0 (no changes required)
  * [7049408] Bump debhelper version to v13
  * [fa3c261] Compile against libsdl2 instead of 1.2

 -- Matthijs Kooijman <matthijs@stdin.nl>  Wed, 13 May 2020 10:37:52 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
 Uploaders: Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper (>= 12), libsdl-dev, zlib1g-dev, libpng-dev,
+Build-Depends: debhelper-compat (= 13), libsdl2-dev, zlib1g-dev, libpng-dev,
  libfreetype6-dev, libfontconfig-dev, libicu-dev, liblzo2-dev, liblzma-dev,
  libxdg-basedir-dev, grfcodec (>= 6.0.5), dpkg-dev (>=1.16.1), openttd-opengfx
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/openttd-team/openttd
 Vcs-Git: https://salsa.debian.org/openttd-team/openttd.git
-Homepage: http://www.openttd.org/
+Homepage: https://www.openttd.org/
 Rules-Requires-Root: no
 
 Package: openttd

=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,12 @@
 # them, but instead pass them to ./configure explicitly.
 include /usr/share/dpkg/buildflags.mk
 
+ifneq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
+VERBOSE=
+else
+VERBOSE="VERBOSE=1"
+endif
+
 # Pass custom options to configure. Since it's not autoconf but a custom
 # script, some of the option names are slightly different. We also need
 # to be explicit about the dependencies, in case we're not running in a
@@ -48,7 +54,7 @@
 
 # Do some extra installation
 override_dh_auto_install:
-	$(MAKE) install DO_NOT_INSTALL_CHANGELOG=1 DO_NOT_INSTALL_LICENSE=1
+	$(MAKE) install DO_NOT_INSTALL_CHANGELOG=1 DO_NOT_INSTALL_LICENSE=1 $(VERBOSE)
 
 GRF=bin/baseset/openttd.grf
 GRF_BACKUP=debian/openttd.grf
@@ -61,17 +67,9 @@
 
 	# Use dh_auto_build so it handles parallel building
 	# automatically.
-ifneq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
-	dh_auto_build
-else
-	dh_auto_build -- VERBOSE=1
-endif
+	dh_auto_build -- $(VERBOSE)
 
 override_dh_auto_clean:
-	dh_auto_clean
+	dh_auto_clean -- $(VERBOSE)
 
 	[ ! -f "$(GRF_BACKUP)" ] || mv "$(GRF_BACKUP)" "$(GRF)"
-
-# dh_strip automatically generates a -dbgsym package by default.
-override_dh_strip:
-	dh_strip

## openttd 12.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.9)

if(NOT BINARY_NAME)
    set(BINARY_NAME openttd)
endif()

project(${BINARY_NAME}
    VERSION 12.1
)

if(CMAKE_SOURCE_DIR STREQUAL CMAKE_BINARY_DIR)
    message(FATAL_ERROR "In-source builds not allowed. Please run \"cmake ..\" from the build directory. You may need to delete \"${CMAKE_SOURCE_DIR}/CMakeCache.txt\" first.")
endif()

# Debug mode by default.
if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Debug)
endif()

if (EMSCRIPTEN)
    set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/os/emscripten/cmake")
endif()

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake")
set(CMAKE_OSX_DEPLOYMENT_TARGET 10.14)

# Use GNUInstallDirs to allow customisation
# but set our own default data and bin dir
if(NOT CMAKE_INSTALL_DATADIR)
    set(CMAKE_INSTALL_DATADIR "share/games")
endif()
if(NOT CMAKE_INSTALL_BINDIR)
    set(CMAKE_INSTALL_BINDIR "games")
endif()
include(GNUInstallDirs)

include(Options)
set_options()
set_directory_options()

include(Static)
set_static_if_needed()

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED YES)
set(CMAKE_CXX_EXTENSIONS NO)

set(CMAKE_EXPORT_COMPILE_COMMANDS YES)

# An empty target for the tools
add_custom_target(tools)

include(Endian)
add_endian_definition()

include(CompileFlags)
compile_flags()

if(APPLE OR UNIX)
    add_definitions(-DUNIX)
endif()

if(UNIX)
    find_package(Doxygen)
endif()

list(APPEND GENERATED_SOURCE_FILES "${CMAKE_BINARY_DIR}/generated/rev.cpp")
if(WIN32)
    list(APPEND GENERATED_SOURCE_FILES "${CMAKE_BINARY_DIR}/generated/ottdres.rc")
endif()

# Generate a target to determine version, which is execute every 'make' run
add_custom_target(find_version
        ${CMAKE_COMMAND}
                -DFIND_VERSION_BINARY_DIR=${CMAKE_BINARY_DIR}/generated
                -DCPACK_BINARY_DIR=${CMAKE_BINARY_DIR}
                -DREV_MAJOR=${PROJECT_VERSION_MAJOR}
                -DREV_MINOR=${PROJECT_VERSION_MINOR}
                -DWINDOWS=${WIN32}
                -P "${CMAKE_SOURCE_DIR}/cmake/scripts/FindVersion.cmake"
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        BYPRODUCTS ${GENERATED_SOURCE_FILES}
)

# Documentation
if(DOXYGEN_EXECUTABLE)
    add_custom_target(docs)
    add_custom_target(docs_source
        ${CMAKE_COMMAND} -E make_directory ${CMAKE_BINARY_DIR}/docs
        COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/Doxyfile
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        COMMENT "Generating documentation for source"
    )
    add_dependencies(docs_source
        find_version
    )
    add_dependencies(docs
        docs_source
    )
endif()

include(AddCustomXXXTimestamp)

if(OPTION_TOOLS_ONLY)
    if(HOST_BINARY_DIR)
        unset(HOST_BINARY_DIR CACHE)
    endif()
    add_subdirectory(${CMAKE_SOURCE_DIR}/src)
    return()
endif()

if(APPLE)
	# Avoid searching for headers in Frameworks, and libraries in LIBDIR.
	set(CMAKE_FIND_FRAMEWORK LAST)
endif()

# Prefer -pthread over -lpthread, which is often the better option of the two.
set(CMAKE_THREAD_PREFER_PTHREAD YES)
# Make sure we have Threads available.
find_package(Threads REQUIRED)

find_package(ZLIB)
find_package(LibLZMA)
find_package(LZO)
find_package(PNG)

if(NOT OPTION_DEDICATED)
    if(NOT WIN32)
        find_package(Allegro)
        if(NOT APPLE)
            find_package(Freetype)
            find_package(SDL2)
            if(NOT SDL2_FOUND)
                find_package(SDL)
            endif()
            find_package(Fluidsynth)
            find_package(Fontconfig)
            find_package(ICU OPTIONAL_COMPONENTS i18n lx)
        endif()
    endif()
endif()
if(APPLE)
    find_package(Iconv)

    find_library(AUDIOTOOLBOX_LIBRARY AudioToolbox)
    find_library(AUDIOUNIT_LIBRARY AudioUnit)
    find_library(COCOA_LIBRARY Cocoa)
    find_library(QUARTZCORE_LIBRARY QuartzCore)
endif()

if(NOT EMSCRIPTEN AND NOT OPTION_DEDICATED)
    find_package(OpenGL COMPONENTS OpenGL)
endif()

if(MSVC)
    find_package(Editbin REQUIRED)
endif()

find_package(SSE)
find_package(Xaudio2)

find_package(Grfcodec)

include(CheckIPOSupported)
check_ipo_supported(RESULT IPO_FOUND)

show_options()

if(UNIX AND NOT APPLE AND NOT OPTION_DEDICATED)
    if(NOT SDL_FOUND AND NOT SDL2_FOUND AND NOT ALLEGRO_FOUND)
        message(FATAL_ERROR "SDL, SDL2 or Allegro is required for this platform")
    endif()
endif()
if(APPLE)
    if(NOT AUDIOTOOLBOX_LIBRARY)
        message(FATAL_ERROR "AudioToolbox is required for this platform")
    endif()
    if(NOT AUDIOUNIT_LIBRARY)
        message(FATAL_ERROR "AudioUnit is required for this platform")
    endif()
    if(NOT COCOA_LIBRARY)
        message(FATAL_ERROR "Cocoa is required for this platform")
    endif()
    if(NOT QUARTZCORE_LIBRARY)
        message(FATAL_ERROR "QuartzCore is required for this platform")
    endif()
endif()

if(OPTION_PACKAGE_DEPENDENCIES)
    if(NOT UNIX)
        message(FATAL_ERROR "Can only package dependencies on Linux")
    endif()
    if(OPTION_INSTALL_FHS)
        message(FATAL_ERROR "Cannot install in FHS folders when we are packaging dependencies")
    endif()
    if(${CMAKE_VERSION} VERSION_LESS "3.16.0")
        message(FATAL_ERROR "OPTION_PACKAGE_DEPENDENCIES can only work with CMake 3.16+; you are using ${CMAKE_VERSION}")
    endif()

    # If we are packaging dependencies, we do two things:
    # 1) set the RPATH to include $ORIGIN/lib; $ORIGIN (that literal string)
    #    is a Linux indicator for "path where application is". In CMake, we
    #    have to do this before add_executable() is executed.
    # 2) copy the libraries that we compile against to the "lib" folder.
    #    This is done in InstallAndPackage.cmake.
    set(CMAKE_INSTALL_RPATH "\$ORIGIN/lib")
    set(CMAKE_BUILD_WITH_INSTALL_RPATH ON)
endif()

include(SourceList)

# Needed by rev.cpp
include_directories(${CMAKE_SOURCE_DIR}/src)
# Needed by everything that uses Squirrel
include_directories(${CMAKE_SOURCE_DIR}/src/3rdparty/squirrel/include)

include(MSVCFilters)

add_executable(openttd WIN32 ${GENERATED_SOURCE_FILES})
set_target_properties(openttd PROPERTIES OUTPUT_NAME "${BINARY_NAME}")
# All other files are added via target_sources()

if(MSVC)
    # Add DPI manifest to project; other WIN32 targets get this via ottdres.rc
    target_sources(openttd PRIVATE "${CMAKE_SOURCE_DIR}/os/windows/openttd.manifest")
endif()

add_subdirectory(${CMAKE_SOURCE_DIR}/bin)
add_subdirectory(${CMAKE_SOURCE_DIR}/src)
add_subdirectory(${CMAKE_SOURCE_DIR}/media)

add_dependencies(openttd
    find_version)

target_link_libraries(openttd
    openttd::languages
    openttd::settings
    openttd::media
    openttd::basesets
    openttd::script_api
    Threads::Threads
)

if(HAIKU)
    target_link_libraries(openttd "be" "network" "midi")
endif()

if(IPO_FOUND)
    set_target_properties(openttd PROPERTIES INTERPROCEDURAL_OPTIMIZATION_RELEASE True)
    set_target_properties(openttd PROPERTIES INTERPROCEDURAL_OPTIMIZATION_MINSIZEREL True)
    set_target_properties(openttd PROPERTIES INTERPROCEDURAL_OPTIMIZATION_RELWITHDEBINFO True)
endif()
set_target_properties(openttd PROPERTIES VS_DEBUGGER_WORKING_DIRECTORY "${CMAKE_BINARY_DIR}")
process_compile_flags()

include(LinkPackage)
link_package(PNG TARGET PNG::PNG ENCOURAGED)
link_package(ZLIB TARGET ZLIB::ZLIB ENCOURAGED)
link_package(LIBLZMA TARGET LibLZMA::LibLZMA ENCOURAGED)
link_package(LZO)

if(NOT OPTION_DEDICATED)
    link_package(Fluidsynth)
    link_package(SDL)
    link_package(SDL2 TARGET SDL2::SDL2)
    link_package(Allegro)
    link_package(FREETYPE TARGET Freetype::Freetype)
    link_package(Fontconfig TARGET Fontconfig::Fontconfig)
    link_package(ICU_lx)
    link_package(ICU_i18n)

    if(SDL2_FOUND AND OPENGL_FOUND AND UNIX)
        # SDL2 dynamically loads OpenGL if needed, so do not link to OpenGL when
        # on Linux. For Windows, we need to link to OpenGL as we also have a win32
        # driver using it.
        add_definitions(-DWITH_OPENGL)
        message(STATUS "OpenGL found -- -DWITH_OPENGL -- (via SDL2)")
    else()
        link_package(OpenGL TARGET OpenGL::GL)
    endif()
endif()

if(APPLE)
    link_package(Iconv TARGET Iconv::Iconv)

    target_link_libraries(openttd
        ${AUDIOTOOLBOX_LIBRARY}
        ${AUDIOUNIT_LIBRARY}
        ${COCOA_LIBRARY}
        ${QUARTZCORE_LIBRARY}
    )

    add_definitions(
        -DWITH_COCOA
    )
endif()

if(EMSCRIPTEN)
    add_library(WASM::WASM INTERFACE IMPORTED)

    # Allow heap-growth, and start with a bigger memory size.
    target_link_libraries(WASM::WASM INTERFACE "-s ALLOW_MEMORY_GROWTH=1")
    target_link_libraries(WASM::WASM INTERFACE "-s INITIAL_MEMORY=33554432")
    target_link_libraries(WASM::WASM INTERFACE "-s DISABLE_EXCEPTION_CATCHING=0")
    add_definitions(-s DISABLE_EXCEPTION_CATCHING=0)

    # Export functions to Javascript.
    target_link_libraries(WASM::WASM INTERFACE "-s EXPORTED_FUNCTIONS='[\"_main\", \"_em_openttd_add_server\"]' -s EXPORTED_RUNTIME_METHODS='[\"cwrap\"]'")

    # Preload all the files we generate during build.
    # As we do not compile with FreeType / FontConfig, we also have no way to
    # render several languages (like Chinese, ..), so where do you draw the
    # line what languages to include and which not? In the end, especially as
    # the more languages you add the slower downloading becomes, we decided to
    # only ship the English language.
    target_link_libraries(WASM::WASM INTERFACE "--preload-file ${CMAKE_BINARY_DIR}/baseset@/baseset")
    target_link_libraries(WASM::WASM INTERFACE "--preload-file ${CMAKE_BINARY_DIR}/lang/english.lng@/lang/english.lng")
    target_link_libraries(WASM::WASM INTERFACE "--preload-file ${CMAKE_SOURCE_DIR}/bin/ai@/ai")
    target_link_libraries(WASM::WASM INTERFACE "--preload-file ${CMAKE_SOURCE_DIR}/bin/game@/game")

    # We use IDBFS for persistent storage.
    target_link_libraries(WASM::WASM INTERFACE "-lidbfs.js")

    # Use custom pre-js and shell.html.
    target_link_libraries(WASM::WASM INTERFACE "--pre-js ${CMAKE_SOURCE_DIR}/os/emscripten/pre.js")
    target_link_libraries(WASM::WASM INTERFACE "--shell-file ${CMAKE_SOURCE_DIR}/os/emscripten/shell.html")

    # Build the .html (which builds the .js, .wasm, and .data too).
    set_target_properties(openttd PROPERTIES SUFFIX ".html")
    target_link_libraries(openttd WASM::WASM)
endif()

if(NOT PERSONAL_DIR STREQUAL "(not set)")
    add_definitions(
        -DWITH_PERSONAL_DIR
        -DPERSONAL_DIR="${PERSONAL_DIR}"
    )
endif()

if(NOT SHARED_DIR STREQUAL "(not set)")
    add_definitions(
        -DWITH_SHARED_DIR
        -DSHARED_DIR="${SHARED_DIR}"
    )
endif()

if(NOT GLOBAL_DIR STREQUAL "(not set)")
    add_definitions(
        -DGLOBAL_DATA_DIR="${GLOBAL_DIR}"
    )
endif()

link_package(SSE)

add_definitions_based_on_options()

if(WIN32)
    add_definitions(
        -DUNICODE
        -D_UNICODE
        -DWITH_UNISCRIBE
        -DPSAPI_VERSION=1
    )

    target_link_libraries(openttd
        ws2_32
        winmm
        imm32
        usp10
        psapi
    )
endif()

if(CMAKE_SIZEOF_VOID_P EQUAL 8)
    add_definitions(-DPOINTER_IS_64BIT)
endif()

include(CreateRegression)
create_regression()

if(APPLE OR WIN32)
    find_package(Pandoc)
endif()

include(InstallAndPackage)

=== src/CMakeLists.txt ===
add_subdirectory(script)
add_subdirectory(settingsgen)
add_subdirectory(strgen)

if(OPTION_TOOLS_ONLY)
    return()
endif()

add_subdirectory(3rdparty)
add_subdirectory(ai)
add_subdirectory(blitter)
add_subdirectory(core)
add_subdirectory(game)
add_subdirectory(lang)
add_subdirectory(linkgraph)
add_subdirectory(misc)
add_subdirectory(music)
add_subdirectory(network)
add_subdirectory(os)
add_subdirectory(pathfinder)
add_subdirectory(saveload)
add_subdirectory(sound)
add_subdirectory(spriteloader)
add_subdirectory(table)
add_subdirectory(video)
add_subdirectory(widgets)

add_files(
    viewport_sprite_sorter_sse4.cpp
    CONDITION SSE_FOUND
)
if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU" OR CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR CMAKE_CXX_COMPILER_ID STREQUAL "AppleClang")
    set_compile_flags(
        viewport_sprite_sorter_sse4.cpp
        COMPILE_FLAGS -msse4.1)
endif()

add_files(
    aircraft.h
    aircraft_cmd.cpp
    aircraft_gui.cpp
    airport.cpp
    airport.h
    airport_gui.cpp
    animated_tile.cpp
    animated_tile_func.h
    articulated_vehicles.cpp
    articulated_vehicles.h
    autoreplace.cpp
    autoreplace_base.h
    autoreplace_cmd.cpp
    autoreplace_func.h
    autoreplace_gui.cpp
    autoreplace_gui.h
    autoreplace_type.h
    autoslope.h
    base_consist.cpp
    base_consist.h
    base_media_base.h
    base_media_func.h
    base_station_base.h
    bitmap_type.h
    bmp.cpp
    bmp.h
    bootstrap_gui.cpp
    bridge.h
    bridge_gui.cpp
    bridge_map.cpp
    bridge_map.h
    build_vehicle_gui.cpp
    cargo_type.h
    cargoaction.cpp
    cargoaction.h
    cargomonitor.cpp
    cargomonitor.h
    cargopacket.cpp
    cargopacket.h
    cargotype.cpp
    cargotype.h
    cheat.cpp
    cheat_func.h
    cheat_gui.cpp
    cheat_type.h
    clear_cmd.cpp
    clear_func.h
    clear_map.h
    cmd_helper.h
    command.cpp
    command_func.h
    command_type.h
    company_base.h
    company_cmd.cpp
    company_func.h
    company_gui.cpp
    company_gui.h
    company_manager_face.h
    company_type.h
    console.cpp
    console_cmds.cpp
    console_func.h
    console_gui.cpp
    console_gui.h
    console_internal.h
    console_type.h
    cpu.cpp
    cpu.h
    crashlog.cpp
    crashlog.h
    currency.cpp
    currency.h
    date.cpp
    date_func.h
    date_gui.cpp
    date_gui.h
    date_type.h
    debug.cpp
    debug.h
    dedicated.cpp
    depot.cpp
    depot_base.h
    depot_cmd.cpp
    depot_func.h
    depot_gui.cpp
    depot_map.h
    depot_type.h
    direction_func.h
    direction_type.h
    disaster_vehicle.cpp
    disaster_vehicle.h
    dock_gui.cpp
    driver.cpp
    driver.h
    economy.cpp
    economy_base.h
    economy_func.h
    economy_type.h
    effectvehicle.cpp
    effectvehicle_base.h
    effectvehicle_func.h
    elrail.cpp
    elrail_func.h
    engine.cpp
    engine_base.h
    engine_func.h
    engine_gui.cpp
    engine_gui.h
    engine_type.h
    error.h
    error_gui.cpp
    fileio.cpp
    fileio_func.h
    fileio_type.h
    fios.cpp
    fios.h
    fios_gui.cpp
    fontcache.cpp
    fontcache.h
    fontcache_internal.h
    fontdetection.h
    framerate_gui.cpp
    framerate_type.h
    gamelog.cpp
    gamelog.h
    gamelog_internal.h
    genworld.cpp
    genworld.h
    genworld_gui.cpp
    gfx.cpp
    gfx_func.h
    gfx_layout.cpp
    gfx_layout.h
    gfx_type.h
    gfxinit.cpp
    gfxinit.h
    goal.cpp
    goal_base.h
    goal_gui.cpp
    goal_type.h
    graph_gui.cpp
    graph_gui.h
    ground_vehicle.cpp
    ground_vehicle.hpp
    group.h
    group_cmd.cpp
    group_gui.cpp
    group_gui.h
    group_type.h
    gui.h
    guitimer_func.h
    heightmap.cpp
    heightmap.h
    highscore.cpp
    highscore.h
    highscore_gui.cpp
    hotkeys.cpp
    hotkeys.h
    house.h
    house_type.h
    industry.h
    industry_cmd.cpp
    industry_gui.cpp
    industry_map.h
    industry_type.h
    industrytype.h
    ini.cpp
    ini_load.cpp
    ini_type.h
    intro_gui.cpp
    landscape.cpp
    landscape.h
    landscape_type.h
    language.h
    livery.h
    main_gui.cpp
    map.cpp
    map_func.h
    map_type.h
    misc.cpp
    misc_cmd.cpp
    misc_gui.cpp
    mixer.cpp
    mixer.h
    music.cpp
    music_gui.cpp
    newgrf.cpp
    newgrf.h
    newgrf_airport.cpp
    newgrf_airport.h
    newgrf_airporttiles.cpp
    newgrf_airporttiles.h
    newgrf_animation_base.h
    newgrf_animation_type.h
    newgrf_callbacks.h
    newgrf_canal.cpp
    newgrf_canal.h
    newgrf_cargo.cpp
    newgrf_cargo.h
    newgrf_class.h
    newgrf_class_func.h
    newgrf_commons.cpp
    newgrf_commons.h
    newgrf_config.cpp
    newgrf_config.h
    newgrf_debug.h
    newgrf_debug_gui.cpp
    newgrf_engine.cpp
    newgrf_engine.h
    newgrf_generic.cpp
    newgrf_generic.h
    newgrf_gui.cpp
    newgrf_house.cpp
    newgrf_house.h
    newgrf_industries.cpp
    newgrf_industries.h
    newgrf_industrytiles.cpp
    newgrf_industrytiles.h
    newgrf_object.cpp
    newgrf_object.h
    newgrf_profiling.cpp
    newgrf_profiling.h
    newgrf_properties.h
    newgrf_railtype.cpp
    newgrf_railtype.h
    newgrf_roadtype.cpp
    newgrf_roadtype.h
    newgrf_sound.cpp
    newgrf_sound.h
    newgrf_spritegroup.cpp
    newgrf_spritegroup.h
    newgrf_station.cpp
    newgrf_station.h
    newgrf_storage.cpp
    newgrf_storage.h
    newgrf_text.cpp
    newgrf_text.h
    newgrf_town.cpp
    newgrf_town.h
    newgrf_townname.cpp
    newgrf_townname.h
    news_func.h
    news_gui.cpp
    news_gui.h
    news_type.h
    object.h
    object_base.h
    object_cmd.cpp
    object_gui.cpp
    object_map.h
    object_type.h
    openttd.cpp
    openttd.h
    order_backup.cpp
    order_backup.h
    order_base.h
    order_cmd.cpp
    order_func.h
    order_gui.cpp
    order_type.h
    osk_gui.cpp
    pbs.cpp
    pbs.h
    progress.cpp
    progress.h
    querystring_gui.h
    rail.cpp
    rail.h
    rail_cmd.cpp
    rail_gui.cpp
    rail_gui.h
    rail_map.h
    rail_type.h
    random_access_file.cpp
    random_access_file_type.h
    rev.h
    road.cpp
    road.h
    road_cmd.cpp
    road_cmd.h
    road_func.h
    road_gui.cpp
    road_gui.h
    road_internal.h
    road_map.cpp
    road_map.h
    road_type.h
    roadstop.cpp
    roadstop_base.h
    roadveh.h
    roadveh_cmd.cpp
    roadveh_gui.cpp
    safeguards.h
    screenshot_gui.cpp
    screenshot_gui.h
    screenshot.cpp
    screenshot.h
    settings.cpp
    settings_func.h
    settings_gui.cpp
    settings_gui.h
    settings_internal.h
    settings_table.h
    settings_table.cpp
    settings_type.h
    ship.h
    ship_cmd.cpp
    ship_gui.cpp
    signal.cpp
    signal_func.h
    signal_type.h
    signs.cpp
    signs_base.h
    signs_cmd.cpp
    signs_func.h
    signs_gui.cpp
    signs_type.h
    slope_func.h
    slope_type.h
    smallmap_gui.cpp
    smallmap_gui.h
    sortlist_type.h
    sound.cpp
    sound_func.h
    sound_type.h
    sprite.cpp
    sprite.h
    spritecache.cpp
    spritecache.h
    station.cpp
    station_base.h
    station_cmd.cpp
    station_func.h
    station_gui.cpp
    station_gui.h
    station_kdtree.h
    station_map.h
    station_type.h
    statusbar_gui.cpp
    statusbar_gui.h
    stdafx.h
    story.cpp
    story_base.h
    story_gui.cpp
    story_type.h
    strgen/strgen.h
    string.cpp
    string_base.h
    string_func.h
    string_type.h
    stringfilter.cpp
    stringfilter_type.h
    strings.cpp
    strings_func.h
    strings_type.h
    subsidy.cpp
    subsidy_base.h
    subsidy_func.h
    subsidy_gui.cpp
    subsidy_type.h
    tar_type.h
    terraform_cmd.cpp
    terraform_gui.cpp
    terraform_gui.h
    textbuf.cpp
    textbuf_gui.h
    textbuf_type.h
    texteff.cpp
    texteff.hpp
    textfile_gui.cpp
    textfile_gui.h
    textfile_type.h
    tgp.cpp
    tgp.h
    thread.h
    tile_cmd.h
    tile_map.cpp
    tile_map.h
    tile_type.h
    tilearea.cpp
    tilearea_type.h
    tilehighlight_func.h
    tilehighlight_type.h
    tilematrix_type.hpp
    timetable.h
    timetable_cmd.cpp
    timetable_gui.cpp
    toolbar_gui.cpp
    toolbar_gui.h
    town.h
    town_cmd.cpp
    town_gui.cpp
    town_kdtree.h
    town_map.h
    town_type.h
    townname.cpp
    townname_func.h
    townname_type.h
    track_func.h
    track_type.h
    train.h
    train_cmd.cpp
    train_gui.cpp
    transparency.h
    transparency_gui.cpp
    transparency_gui.h
    transport_type.h
    tree_cmd.cpp
    tree_gui.cpp
    tree_map.h
    tunnel_map.cpp
    tunnel_map.h
    tunnelbridge.h
    tunnelbridge_cmd.cpp
    tunnelbridge_map.h
    vehicle.cpp
    vehicle_base.h
    vehicle_cmd.cpp
    vehicle_func.h
    vehicle_gui.cpp
    vehicle_gui.h
    vehicle_gui_base.h
    vehicle_type.h
    vehiclelist.cpp
    vehiclelist.h
    viewport.cpp
    viewport_func.h
    viewport_gui.cpp
    viewport_kdtree.h
    viewport_sprite_sorter.h
    viewport_type.h
    void_cmd.cpp
    void_map.h
    walltime_func.h
    water.h
    water_cmd.cpp
    water_map.h
    waypoint.cpp
    waypoint_base.h
    waypoint_cmd.cpp
    waypoint_func.h
    waypoint_gui.cpp
    widget.cpp
    widget_type.h
    window.cpp
    window_func.h
    window_gui.h
    window_type.h
    zoom_func.h
    zoom_type.h
)

=== bin/ai/CMakeLists.txt ===
set(AI_COMPAT_SOURCE_FILES
	${CMAKE_CURRENT_SOURCE_DIR}/compat_0.7.nut
	${CMAKE_CURRENT_SOURCE_DIR}/compat_1.0.nut
	${CMAKE_CURRENT_SOURCE_DIR}/compat_1.1.nut
	${CMAKE_CURRENT_SOURCE_DIR}/compat_1.2.nut
	${CMAKE_CURRENT_SOURCE_DIR}/compat_1.3.nut
	${CMAKE_CURRENT_SOURCE_DIR}/compat_1.4.nut
	${CMAKE_CURRENT_SOURCE_DIR}/compat_1.5.nut
	${CMAKE_CURRENT_SOURCE_DIR}/compat_1.6.nut
	${CMAKE_CURRENT_SOURCE_DIR}/compat_1.7.nut
	${CMAKE_CURRENT_SOURCE_DIR}/compat_1.8.nut
	${CMAKE_CURRENT_SOURCE_DIR}/compat_1.9.nut
	${CMAKE_CURRENT_SOURCE_DIR}/compat_1.10.nut
	${CMAKE_CURRENT_SOURCE_DIR}/compat_1.11.nut
	${CMAKE_CURRENT_SOURCE_DIR}/compat_12.nut
)

foreach(AI_COMPAT_SOURCE_FILE IN LISTS AI_COMPAT_SOURCE_FILES)
    string(REPLACE "${CMAKE_SOURCE_DIR}/bin/" "" AI_COMPAT_SOURCE_FILE_NAME "${AI_COMPAT_SOURCE_FILE}")
    string(CONCAT AI_COMPAT_BINARY_FILE "${CMAKE_BINARY_DIR}/" "${AI_COMPAT_SOURCE_FILE_NAME}")

    add_custom_command(OUTPUT ${AI_COMPAT_BINARY_FILE}
            COMMAND ${CMAKE_COMMAND} -E copy
                    ${AI_COMPAT_SOURCE_FILE}
                    ${AI_COMPAT_BINARY_FILE}
            MAIN_DEPENDENCY ${AI_COMPAT_SOURCE_FILE}
            COMMENT "Copying ${AI_COMPAT_SOURCE_FILE_NAME}"
    )

    list(APPEND AI_COMPAT_BINARY_FILES ${AI_COMPAT_BINARY_FILE})
endforeach()

# Create a new target which copies all compat files
add_custom_target(ai_compat_files
        DEPENDS ${AI_COMPAT_BINARY_FILES}
)

add_dependencies(openttd
    ai_compat_files
)

=== bin/game/CMakeLists.txt ===
set(GS_COMPAT_SOURCE_FILES
	${CMAKE_CURRENT_SOURCE_DIR}/compat_1.2.nut
	${CMAKE_CURRENT_SOURCE_DIR}/compat_1.3.nut
	${CMAKE_CURRENT_SOURCE_DIR}/compat_1.4.nut
	${CMAKE_CURRENT_SOURCE_DIR}/compat_1.5.nut
	${CMAKE_CURRENT_SOURCE_DIR}/compat_1.6.nut
	${CMAKE_CURRENT_SOURCE_DIR}/compat_1.7.nut
	${CMAKE_CURRENT_SOURCE_DIR}/compat_1.8.nut
	${CMAKE_CURRENT_SOURCE_DIR}/compat_1.9.nut
	${CMAKE_CURRENT_SOURCE_DIR}/compat_1.10.nut
	${CMAKE_CURRENT_SOURCE_DIR}/compat_1.11.nut
	${CMAKE_CURRENT_SOURCE_DIR}/compat_12.nut
)

foreach(GS_COMPAT_SOURCE_FILE IN LISTS GS_COMPAT_SOURCE_FILES)
    string(REPLACE "${CMAKE_SOURCE_DIR}/bin/" "" GS_COMPAT_SOURCE_FILE_NAME "${GS_COMPAT_SOURCE_FILE}")
    string(CONCAT GS_COMPAT_BINARY_FILE "${CMAKE_BINARY_DIR}/" "${GS_COMPAT_SOURCE_FILE_NAME}")

    add_custom_command(OUTPUT ${GS_COMPAT_BINARY_FILE}
            COMMAND ${CMAKE_COMMAND} -E copy
                    ${GS_COMPAT_SOURCE_FILE}
                    ${GS_COMPAT_BINARY_FILE}
            MAIN_DEPENDENCY ${GS_COMPAT_SOURCE_FILE}
            COMMENT "Copying ${GS_COMPAT_SOURCE_FILE_NAME}"
    )

    list(APPEND GS_COMPAT_BINARY_FILES ${GS_COMPAT_BINARY_FILE})
endforeach()

# Create a new target which copies all compat files
add_custom_target(gs_compat_files
        DEPENDS ${GS_COMPAT_BINARY_FILES}
)

add_dependencies(openttd
    gs_compat_files
)

=== src/3rdparty/CMakeLists.txt ===
add_subdirectory(fmt)
add_subdirectory(md5)
add_subdirectory(squirrel)
add_subdirectory(opengl)
add_subdirectory(os2)

=== src/blitter/CMakeLists.txt ===
add_files(
    32bpp_anim.cpp
    32bpp_anim.hpp
    32bpp_base.cpp
    32bpp_base.hpp
    32bpp_optimized.cpp
    32bpp_optimized.hpp
    32bpp_simple.cpp
    32bpp_simple.hpp
    8bpp_base.cpp
    8bpp_base.hpp
    8bpp_optimized.cpp
    8bpp_optimized.hpp
    8bpp_simple.cpp
    8bpp_simple.hpp
    CONDITION NOT OPTION_DEDICATED
)

add_files(
    32bpp_anim_sse2.cpp
    32bpp_anim_sse2.hpp
    32bpp_anim_sse4.cpp
    32bpp_anim_sse4.hpp
    32bpp_sse2.cpp
    32bpp_sse2.hpp
    32bpp_sse4.cpp
    32bpp_sse4.hpp
    32bpp_sse_func.hpp
    32bpp_sse_type.h
    32bpp_ssse3.cpp
    32bpp_ssse3.hpp
    CONDITION NOT OPTION_DEDICATED AND SSE_FOUND
)

add_files(
    40bpp_anim.cpp
    40bpp_anim.hpp
    CONDITION NOT OPTION_DEDICATED AND OPENGL_FOUND
)


if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU" OR CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR CMAKE_CXX_COMPILER_ID STREQUAL "AppleClang")
    set_compile_flags(
        32bpp_anim_sse2.cpp
        32bpp_sse2.cpp
        COMPILE_FLAGS -msse2)
    set_compile_flags(
        32bpp_ssse3.cpp
        COMPILE_FLAGS -mssse3)
    set_compile_flags(
        32bpp_anim_sse4.cpp
        32bpp_sse4.cpp
        COMPILE_FLAGS -msse4.1)
endif()

add_files(
    base.hpp
    common.hpp
    factory.hpp
    null.cpp
    null.hpp
)

=== src/core/CMakeLists.txt ===
add_files(
    alloc_func.cpp
    alloc_func.hpp
    alloc_type.hpp
    backup_type.hpp
    bitmath_func.cpp
    bitmath_func.hpp
    endian_func.hpp
    endian_type.hpp
    enum_type.hpp
    geometry_func.cpp
    geometry_func.hpp
    geometry_type.hpp
    kdtree.hpp
    math_func.cpp
    math_func.hpp
    mem_func.hpp
    multimap.hpp
    overflowsafe_type.hpp
    pool_func.cpp
    pool_func.hpp
    pool_type.hpp
    random_func.cpp
    random_func.hpp
    smallmap_type.hpp
    smallmatrix_type.hpp
    smallstack_type.hpp
    smallvec_type.hpp
    string_compare_type.hpp
)

=== src/game/CMakeLists.txt ===
add_files(
    game.hpp
    game_config.cpp
    game_config.hpp
    game_core.cpp
    game_info.cpp
    game_info.hpp
    game_instance.cpp
    game_instance.hpp
    game_scanner.cpp
    game_scanner.hpp
    game_text.cpp
    game_text.hpp
)

=== src/misc/CMakeLists.txt ===
add_files(
    array.hpp
    binaryheap.hpp
    countedobj.cpp
    countedptr.hpp
    dbg_helpers.cpp
    dbg_helpers.h
    fixedsizearray.hpp
    getoptdata.cpp
    getoptdata.h
    hashtable.hpp
    lrucache.hpp
)

=== src/network/CMakeLists.txt ===
add_subdirectory(core)

add_files(
    network.cpp
    network.h
    network_admin.cpp
    network_admin.h
    network_base.h
    network_chat_gui.cpp
    network_client.cpp
    network_client.h
    network_command.cpp
    network_content.cpp
    network_content.h
    network_content_gui.cpp
    network_content_gui.h
    network_coordinator.cpp
    network_coordinator.h
    network_func.h
    network_gamelist.cpp
    network_gamelist.h
    network_gui.cpp
    network_gui.h
    network_internal.h
    network_query.cpp
    network_query.h
    network_server.cpp
    network_server.h
    network_stun.cpp
    network_stun.h
    network_turn.cpp
    network_turn.h
    network_type.h
    network_udp.cpp
    network_udp.h
)

=== src/os/CMakeLists.txt ===
add_subdirectory(macosx)
add_subdirectory(os2)
add_subdirectory(unix)
add_subdirectory(windows)

=== src/saveload/CMakeLists.txt ===
add_subdirectory(compat)

add_files(
    afterload.cpp
    ai_sl.cpp
    airport_sl.cpp
    animated_tile_sl.cpp
    autoreplace_sl.cpp
    cargomonitor_sl.cpp
    cargopacket_sl.cpp
    cheat_sl.cpp
    company_sl.cpp
    depot_sl.cpp
    economy_sl.cpp
    engine_sl.cpp
    game_sl.cpp
    gamelog_sl.cpp
    goal_sl.cpp
    group_sl.cpp
    industry_sl.cpp
    labelmaps_sl.cpp
    linkgraph_sl.cpp
    map_sl.cpp
    misc_sl.cpp
    newgrf_sl.cpp
    newgrf_sl.h
    object_sl.cpp
    oldloader.cpp
    oldloader.h
    oldloader_sl.cpp
    order_sl.cpp
    saveload.cpp
    saveload.h
    saveload_filter.h
    saveload_internal.h
    settings_sl.cpp
    signs_sl.cpp
    station_sl.cpp
    storage_sl.cpp
    strings_sl.cpp
    story_sl.cpp
    subsidy_sl.cpp
    town_sl.cpp
    vehicle_sl.cpp
    waypoint_sl.cpp
)

=== debian/changelog ===
openttd (12.1-2build1) jammy; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Feb 2022 05:41:45 +0100

openttd (12.1-2) unstable; urgency=medium

  * [6b4811a] Use dh_install again instead of dh_cmake during build
  * [3980212] Fix arch-indep builds (Closes: #1002913)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Sat, 01 Jan 2022 20:30:43 +0100

openttd (12.1-1) unstable; urgency=medium

  [ Erik Renes ]
  * [14e4ab9] Fix typo in README.Debian

  [ Matthijs Kooijman ]
  * [9940ea1] Update watch file
  * [6146e90] New upstream release 12.1
  * [1a5c0f3] Remove libxdg-basedir-dev build dependency
  * [a99692a] Adapt to upstream now using cmake
  * [9a26661] Bump standards version to 4.6.0 (no changes required)
  * [adcd43a] Enable fluidsynth backend for music playback
  * [4a18b77] Enable SDL-OpenGL backend for video rendering
  * [312f1e9] Update copyright for newly added 3rdparty code

 -- Matthijs Kooijman <matthijs@stdin.nl>  Tue, 28 Dec 2021 17:57:11 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,10 @@
 Uploaders: Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper-compat (= 13), libsdl2-dev, zlib1g-dev, libpng-dev,
  libfreetype6-dev, libfontconfig-dev, libicu-dev, liblzo2-dev, liblzma-dev,
- libxdg-basedir-dev, grfcodec (>= 6.0.5), dpkg-dev (>=1.16.1), openttd-opengfx
-Standards-Version: 4.5.0
+ libfluidsynth-dev, libopengl-dev,
+ grfcodec (>= 6.0.5), dpkg-dev (>=1.16.1), openttd-opengfx,
+ cmake (>= 3.9)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/openttd-team/openttd
 Vcs-Git: https://salsa.debian.org/openttd-team/openttd.git
 Homepage: https://www.openttd.org/
@@ -16,8 +18,8 @@
 Architecture: any
 Multi-Arch: no
 Depends: ${shlibs:Depends}, ${misc:Depends}, openttd-data (= ${source:Version})
-Recommends: openttd-opengfx (>= 0.5.0), openttd-openmsx, timidity
-Suggests: openttd-opensfx
+Recommends: openttd-opengfx (>= 0.5.0), openttd-openmsx
+Suggests: openttd-opensfx, timdity
 Description: reimplementation of Transport Tycoon Deluxe with enhancements
  OpenTTD is a reimplementation of the Microprose game "Transport
  Tycoon Deluxe" with lots of new features and enhancements.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Makefile to build the openttd debian package.

# Use debhelper default for all targets (but some are overridden below).
%:
	dh $@ --buildsystem=cmake

# This prevents linking uselessly to libicudata and silences a warning
# in the build process.
export DEB_LDFLAGS_MAINT_APPEND=-Wl,-as-needed

# Enable all hardening options (since openttd offers a network-listening
# service that handles untrusted data).
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Build release
CMAKE_CONFIG_ARGUMENTS += -DCMAKE_BUILD_TYPE=RelWithDebInfo
# Explicitly mark dependencies as required or disabled, so an issue with
# build dependencies does not silently remove a feature or add a
# dependency
CMAKE_CONFIG_ARGUMENTS += -DCMAKE_REQUIRE_FIND_PACKAGE_ZLIB=TRUE
CMAKE_CONFIG_ARGUMENTS += -DCMAKE_REQUIRE_FIND_PACKAGE_LibLZMA=TRUE
CMAKE_CONFIG_ARGUMENTS += -DCMAKE_REQUIRE_FIND_PACKAGE_LZO=TRUE
CMAKE_CONFIG_ARGUMENTS += -DCMAKE_REQUIRE_FIND_PACKAGE_PNG=TRUE
CMAKE_CONFIG_ARGUMENTS += -DCMAKE_REQUIRE_FIND_PACKAGE_Freetype=TRUE
CMAKE_CONFIG_ARGUMENTS += -DCMAKE_REQUIRE_FIND_PACKAGE_SDL2=TRUE
CMAKE_CONFIG_ARGUMENTS += -DCMAKE_REQUIRE_FIND_PACKAGE_Fontconfig=TRUE
CMAKE_CONFIG_ARGUMENTS += -DCMAKE_REQUIRE_FIND_PACKAGE_ICU=TRUE
CMAKE_CONFIG_ARGUMENTS += -DCMAKE_REQUIRE_FIND_PACKAGE_Grfcodec=TRUE
CMAKE_CONFIG_ARGUMENTS += -DCMAKE_REQUIRE_FIND_PACKAGE_Fluidsynth=TRUE
CMAKE_CONFIG_ARGUMENTS += -DCMAKE_REQUIRE_FIND_PACKAGE_OpenGL=TRUE
CMAKE_CONFIG_ARGUMENTS += -DCMAKE_DISABLE_FIND_PACKAGE_Allegro=TRUE

# Pass custom options to configure. Since it's not autoconf but a custom
# script, some of the option names are slightly different. We also need
# to be explicit about the dependencies, in case we're not running in a
# clean build root.
override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_CONFIG_ARGUMENTS)

execute_after_dh_install-arch:
	# Prevent installing duplicate license file
	rm debian/openttd/usr/share/doc/openttd/COPYING.md

GRF=media/baseset/openttd.grf
GRF_BACKUP=debian/openttd.grf

execute_before_dh_auto_build:
	# Remove the prebuilt grf file, to force a rebuild from source
	# (but do keep a backup, so the clean rule can restore it as
	# required by the policy).
	[ -f "$(GRF_BACKUP)" ] || mv "$(GRF)" "$(GRF_BACKUP)"

execute_after_dh_auto_clean:
	[ ! -f "$(GRF_BACKUP)" ] || mv "$(GRF_BACKUP)" "$(GRF)"

## openttd 12.2

=== debian/changelog ===
openttd (12.2-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Make Recommended packages explicit dependencies.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 16 Oct 2022 14:25:10 -0700

openttd (12.2-1) unstable; urgency=medium

  * [789d2fd] Fix typo in Suggests: timidity (Closes: #1003269)
  * [265efa6] New upstream release 12.2
  * [1298c72] Recommend openttd-opensfx instead of just suggesting it
  * [772d473] Remove install-openttd.32.bmp patch which was merged
    upstream

 -- Matthijs Kooijman <matthijs@stdin.nl>  Wed, 20 Apr 2022 15:17:01 +0200

=== debian/control ===
Source: openttd
Section: games
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
Uploaders: Jordi Mallach <jordi@debian.org>
Build-Depends: cmake (>= 3.9),
               debhelper-compat (= 13),
               dpkg-dev (>=1.16.1),
               grfcodec (>= 6.0.5),
               libfluidsynth-dev,
               libfontconfig-dev,
               libfreetype6-dev,
               libicu-dev,
               liblzma-dev,
               liblzo2-dev,
               libopengl-dev,
               libpng-dev,
               libsdl2-dev,
               openttd-opengfx,
               zlib1g-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/openttd-team/openttd
Vcs-Git: https://salsa.debian.org/openttd-team/openttd.git
Homepage: https://www.openttd.org/
Rules-Requires-Root: no

Package: openttd
Architecture: any
Multi-Arch: no
Depends: openttd-data (= ${source:Version}),
         ${misc:Depends}, ${shlibs:Depends},
         openttd-opengfx (>= 0.5.0), openttd-openmsx, openttd-opensfx
Suggests: timidity
Description: reimplementation of Transport Tycoon Deluxe with enhancements
 OpenTTD is a reimplementation of the Microprose game "Transport
 Tycoon Deluxe" with lots of new features and enhancements.
 .
 OpenTTD is playable with the free graphics files from the openttd-opengfx
 package and optional sound and music files from the openttd-opensfx and
 openttd-openmsx packages Alternatively, OpenTTD can use the graphics files
 from the original Transport Tycoon Deluxe game (See README.Debian on how to set
 this up).

Package: openttd-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: openttd (<< 1.1.5-1)
Breaks: openttd (<< 1.1.5-1)
Description: common data files for the OpenTTD game
 This package contains data files like language files, scripts and some
 auxiliary graphics.  It does not include any full graphics or sound sets,
 which still need to be installed separately to play OpenTTD.

=== debian/rules ===
--- 
+++ 
@@ -54,3 +54,7 @@
 
 execute_after_dh_auto_clean:
 	[ ! -f "$(GRF_BACKUP)" ] || mv "$(GRF_BACKUP)" "$(GRF)"
+
+# No dbgsym package:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
